{% load bootstrap4 %}
{% load static %}
{% load fontawesome_5 %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" type="image/x-icon" href="{% static "seawatch_registration/images/favicon.png" %}">
    {% bootstrap_css %}
    {% fontawesome_5_static %}
    <link rel="stylesheet" href="{% static "seawatch_registration/css/seawatch_registration.css" %}">
    <link rel=stylesheet href="{% static "volunteers/autosave-input.css" %}">
    <link rel=stylesheet href="{% static "dialog.css" %}">
    <link rel=stylesheet href="{% static "switch.css" %}">
    {% block extra_css %}{% endblock %}
    <title>
      {% block title %}SeaWatch{% endblock %}
    </title>
    {% block head %}{% endblock %}
    {% bootstrap_javascript jquery="slim" %}
    <script src="{% static "volunteers/autosave-input.js" %}" type="module"></script>
    <meta name="htmx-config" content='{"useTemplateFragments": true}'>
  </head>
  <body {% include "body_env_warning.htmlpart" %}
        data-csrf-token="{{ csrf_token }}">
    {% include "navbar.html" %}
    {% include "partials/messages.html" %}
    {% block container-content %}
      <div id="main-content" class="container" style="margin-top: 4rem">
        {% block content %}{% endblock %}
      </div>
    {% endblock %}
    {% block extra_body_content %}{% endblock %}
    <script src="{% static "vendor/htmx.js" %}"></script>
    <script src="{% static "vendor/htmx/json-enc.js" %}"></script>
    <script src="{% static "planner.js" %}" type="module"></script>
    <script>
            document.body.addEventListener('htmx:configRequest', (e) => {
                e.detail.headers['X-CSRFToken'] = document.body.dataset.csrfToken;
            })
    </script>
    {% block extra_scripts %}{% endblock %}
  </body>
</html>
